# class JGRtpCandidateP2P | A RTP transport candidate. More...
Full name | `TelEngine::JGRtpCandidateP2P`
Definition | `#include <libs/yjabber/yatejingle.h>`
Inherits | TelEngine::JGRtpCandidate [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- inline JGRtpCandidateP2P ()
- inline JGRtpCandidateP2P (XmlElement* xml, const JGRtpCandidates& container)
- virtual XmlElement* toXml (const JGRtpCandidates& container) const
- void fromXml (XmlElement* xml, const JGRtpCandidates& container)

#### Public Members

- String m_username
- String m_password

## Detailed Description

This class holds a RTP transport candidate

inline JGRtpCandidateP2P () | ### JGRtpCandidateP2P

Constructor

inline JGRtpCandidateP2P (XmlElement* xml, const JGRtpCandidates& container) | ### JGRtpCandidateP2P

Constructor. Build a candidate from received data

Parameters:

xml | Received xml element
container | The transport container

XmlElement* toXml (const JGRtpCandidates& container) | ### toXml

[const virtual]

Create a 'candidate' element from this object using local address/port

Parameters:

container | The transport container

Returns: Valid XmlElement pointer if type is a known one

Reimplemented from JGRtpCandidate.

void fromXml (XmlElement* xml, const JGRtpCandidates& container) | ### fromXml

Fill this object from a candidate element using remote address/port

Parameters:

xml | Received xml element
container | The transport container

Reimplemented from JGRtpCandidate.

String m_username | ### m_username

String m_password | ### m_password

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.